<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [WarehouseAPI](./bitburner.warehouseapi.md) &gt; [exportMaterial](./bitburner.warehouseapi.exportmaterial.md)

## WarehouseAPI.exportMaterial() method

Set material export data

**Signature:**

```typescript
exportMaterial(
    sourceDivision: string,
    sourceCity: CityName | `${CityName}`,
    targetDivision: string,
    targetCity: CityName | `${CityName}`,
    materialName: string,
    amt: number | string,
  ): void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  sourceDivision | string | Source division |
|  sourceCity | [CityName](./bitburner.cityname.md) \| \`${[CityName](./bitburner.cityname.md)<!-- -->}\` | Source city |
|  targetDivision | string | Target division |
|  targetCity | [CityName](./bitburner.cityname.md) \| \`${[CityName](./bitburner.cityname.md)<!-- -->}\` | Target city |
|  materialName | string | Name of the material |
|  amt | number \| string | Amount of material to export. |

**Returns:**

void

